VisualEditor: Caption of a thumb image starting with a link means link inspector icon appears in slug, confusingly
Closed, ResolvedPublic

bzimport set Reference to bz49680.
Ironholds created this task.Via LegacyJun 17 2013, 10:29 AM
Thryduulf added a comment.Via ConduitAug 7 2013, 8:10 AM

This only seems to happen with an image at the start of the lead section and seems unaffected by the presence of a template,

Test case:
https://en.wikipedia.org/w/index.php?title=User:Thryduulf/sandbox&oldid=567508072&veaction=edit

Real-world example:
https://en.wikipedia.org/w/index.php?title=Boden_Professor_of_Sanskrit_election%2C_1860&oldid=567473898&veaction=edit

Thryduulf added a comment.Via ConduitSep 27 2013, 11:18 PM

I had wondered whether the fix for bug 54446 would solve this too, but at least in Firefox 24.0 on Linux it is still evident.

Jdforrester-WMF added a comment.Via ConduitSep 27 2013, 11:32 PM

(In reply to comment #2)

I had wondered whether the fix for bug 54446 would solve this too, but at
least in Firefox 24.0 on Linux it is still evident.

Yeah, this is actually a rather more fundamental issue (the "next" item from the data model's point of view, if not the user's, is indeed a link). Sorry.

Jdforrester-WMF added a comment.Via ConduitJun 12 2014, 5:08 AM

I believe that this was fixed by Ed's work on this last week.

Ironholds removed a subscriber: Ironholds.Via WebJan 28 2015, 12:03 AM
Etonkovidova added a subscriber: Etonkovidova.Via WebJan 28 2015, 1:31 AM

Seems to be fixed - confirmed in test2/production.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.